Create shipment for an order
Creates a shipment when the order has exactly one fulfillment order; split orders must be shipped from fulfillment.
Path Parameters
Identifier of the order.
Header Parameters
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/orders/7204558912004325350/shipment" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "itemSelection": "all", "packageSelection": "automatic", "connectionSelection": "orderDefault", "packageId": "7204558912004325646", "shippingConnectionId": "7204558912004329148", "items": [ { "orderItemId": "7204558912004328121", "quantity": 2 } ] }'{ "success": false, "shipmentId": "7204558912004327602", "trackingNumber": "PE1234567890", "trackingLink": "https://tracking.example.com/PE1234567890", "labelUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon", "message": "Entregar después de las 18:00."}